<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<liferay-util:html-top
	outputKey="document_library_video_embed_css"
>
	<link href="<%= PortalUtil.getStaticResourceURL(request, PortalUtil.getPathProxy() + application.getContextPath() + "/css/embed.css") %>" rel="stylesheet" type="text/css" />
</liferay-util:html-top>

<div class="video-embed-placeholder">
	<span aria-hidden="true" class="loading-animation"></span>

	<div class="video-embed-placeholder-text">
		<liferay-ui:message key="generating-preview-will-take-a-few-minutes" />
	</div>
</div>

<%
FileVersion fileVersion = (FileVersion)request.getAttribute(FileVersion.class.getName());
%>

<portlet:resourceURL id="/document_library_video/get_embed_video_status" var="getEmbedVideoStatusURL">
	<portlet:param name="fileVersionId" value="<%= String.valueOf(fileVersion.getFileVersionId()) %>" />
</portlet:resourceURL>

<liferay-frontend:component
	context='<%=
		HashMapBuilder.<String, Object>put(
			"getEmbedVideoStatusURL", getEmbedVideoStatusURL
		).build()
	%>'
	module="js/embed/generating"
/>