<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
List<String> previewFileURLs = (List<String>)request.getAttribute(DLVideoWebKeys.PREVIEW_FILE_URLS);
String videoPosterURL = (String)request.getAttribute(DLVideoWebKeys.VIDEO_POSTER_URL);
%>

<liferay-util:html-top
	outputKey="document_library_video_embed_css"
>
	<link href="<%= PortalUtil.getStaticResourceURL(request, PortalUtil.getPathProxy() + application.getContextPath() + "/css/embed.css") %>" rel="stylesheet" type="text/css" />
</liferay-util:html-top>

<video
	controls
	controlsList="nodownload"

	<c:if test="<%= Validator.isNotNull(videoPosterURL) %>">
		poster="<%= videoPosterURL %>"
	</c:if>
>

	<%
	for (String previewFileURL : previewFileURLs) {
		String type = null;

		if (Validator.isNotNull(previewFileURL)) {
			if (previewFileURL.endsWith("mp4")) {
				type = "video/mp4";
			}
			else if (previewFileURL.endsWith("ogv")) {
				type = "video/ogv";
			}
		}
	%>

		<c:if test="<%= type != null %>">
			<source src="<%= previewFileURL %>" type="<%= type %>" />
		</c:if>

	<%
	}
	%>

</video>